curl -X GET "https://api.contactship.ai/v1/messages/msg-a1b2c3d4-e5f6-7890-abcd-ef1234567890" \
-H "x-api-key: your-api-key"
const messageId = 'msg-a1b2c3d4-e5f6-7890-abcd-ef1234567890';
const response = await fetch(
`https://api.contactship.ai/v1/messages/${messageId}`,
{ headers: { 'x-api-key': 'your-api-key' } }
);
const message = await response.json();
console.log(`Message: ${message.content} (${message.status})`);
import requests
message_id = 'msg-a1b2c3d4-e5f6-7890-abcd-ef1234567890'
response = requests.get(
f'https://api.contactship.ai/v1/messages/{message_id}',
headers={'x-api-key': 'your-api-key'},
)
print(response.json())
{
"id": "msg-a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"thread_id": "thr-b2c3d4e5-f6a7-8901-bcde-f12345678901",
"role": "human",
"type": "text",
"content": "Hello! How can I help you today?",
"media": null,
"from": "+12025551234",
"source": "webapp",
"status": "sent",
"sender_id": null,
"created_at": "2026-04-06T15:00:00Z"
}
Canales y conversaciones
Get Message
Retrieve a single message by its ID
GET
/
v1
/
messages
/
{messageId}
curl -X GET "https://api.contactship.ai/v1/messages/msg-a1b2c3d4-e5f6-7890-abcd-ef1234567890" \
-H "x-api-key: your-api-key"
const messageId = 'msg-a1b2c3d4-e5f6-7890-abcd-ef1234567890';
const response = await fetch(
`https://api.contactship.ai/v1/messages/${messageId}`,
{ headers: { 'x-api-key': 'your-api-key' } }
);
const message = await response.json();
console.log(`Message: ${message.content} (${message.status})`);
import requests
message_id = 'msg-a1b2c3d4-e5f6-7890-abcd-ef1234567890'
response = requests.get(
f'https://api.contactship.ai/v1/messages/{message_id}',
headers={'x-api-key': 'your-api-key'},
)
print(response.json())
{
"id": "msg-a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"thread_id": "thr-b2c3d4e5-f6a7-8901-bcde-f12345678901",
"role": "human",
"type": "text",
"content": "Hello! How can I help you today?",
"media": null,
"from": "+12025551234",
"source": "webapp",
"status": "sent",
"sender_id": null,
"created_at": "2026-04-06T15:00:00Z"
}
Returns the details of a specific message in a conversation thread.
Headers
Path Parameters
Response
Error Codes
401 Unauthorized— Invalid or missing API key404 Not Found— Message not found or does not belong to your organization500 Internal Server Error— Server-side error
Code Examples
curl -X GET "https://api.contactship.ai/v1/messages/msg-a1b2c3d4-e5f6-7890-abcd-ef1234567890" \
-H "x-api-key: your-api-key"
const messageId = 'msg-a1b2c3d4-e5f6-7890-abcd-ef1234567890';
const response = await fetch(
`https://api.contactship.ai/v1/messages/${messageId}`,
{ headers: { 'x-api-key': 'your-api-key' } }
);
const message = await response.json();
console.log(`Message: ${message.content} (${message.status})`);
import requests
message_id = 'msg-a1b2c3d4-e5f6-7890-abcd-ef1234567890'
response = requests.get(
f'https://api.contactship.ai/v1/messages/{message_id}',
headers={'x-api-key': 'your-api-key'},
)
print(response.json())
{
"id": "msg-a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"thread_id": "thr-b2c3d4e5-f6a7-8901-bcde-f12345678901",
"role": "human",
"type": "text",
"content": "Hello! How can I help you today?",
"media": null,
"from": "+12025551234",
"source": "webapp",
"status": "sent",
"sender_id": null,
"created_at": "2026-04-06T15:00:00Z"
}
